Get a Gate service
curl --request GET \
--url https://api.usefoil.com/v1/gate/registry/{serviceId}import requests
url = "https://api.usefoil.com/v1/gate/registry/{serviceId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.usefoil.com/v1/gate/registry/{serviceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.usefoil.com/v1/gate/registry/{serviceId}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.usefoil.com/v1/gate/registry/{serviceId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.usefoil.com/v1/gate/registry/{serviceId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": "gsvc_0123456789abcdefghjkmnpqrs",
"name": "Acme Growth Workspace",
"description": "203.0.113.10",
"website": "https://app.acme.co/signup",
"dashboard_login_url": "https://app.acme.co/signup",
"env_vars": [
{
"name": "Acme Growth Workspace",
"key": "FOIL_PUBLISHABLE_KEY",
"secret": true
}
],
"docs_url": "https://app.acme.co/signup",
"sdks": [
{
"label": "Chrome",
"install": "npm install @foil/server-node",
"url": "https://app.acme.co/signup"
}
],
"branding": {
"logo_url": "https://app.acme.co/signup",
"primary_color": "#111827",
"secondary_color": "#60a5fa",
"ascii_art": "FOIL",
"verified": true
},
"consent": {
"terms_url": "https://app.acme.co/signup",
"privacy_url": "https://app.acme.co/signup"
},
"status": "active",
"discoverable": true
},
"meta": {
"request_id": "req_cf147349a4134208aebb8c70e25fb7e1"
}
}{
"error": {
"code": "request.validation_failed",
"message": "Observation payload failed validation.",
"status": 1,
"retryable": true,
"request_id": "req_cf147349a4134208aebb8c70e25fb7e1",
"docs_url": "https://app.acme.co/signup",
"details": {
"fields": [
{
"name": "Acme Growth Workspace",
"issue": "required",
"expected": "string",
"received": "any_of"
}
],
"allowed_values": [
"verified"
],
"header_name": "x-forwarded-for",
"parameter_set": "browser_fingerprint",
"next_action": "retry"
}
}
}Service registry
Get a Gate service
GET
/
v1
/
gate
/
registry
/
{serviceId}
Get a Gate service
Path Parameters
Canonical Gate service slug used by the public registry and by npx signup . Lowercase letters, numbers, dashes, and underscores only; must start and end with a letter or number.
Required string length:
3 - 32Pattern:
^[a-z0-9](?:[a-z0-9_-]{1,30}[a-z0-9])$Example:
"gsvc_0123456789abcdefghjkmnpqrs"
Response
Gate service response.
Show child attributes
Show child attributes
Example:
{
"id": "gsvc_0123456789abcdefghjkmnpqrs",
"name": "Acme Growth Workspace",
"description": "203.0.113.10",
"website": "https://app.acme.co/signup",
"dashboard_login_url": "https://app.acme.co/signup",
"env_vars": [
{
"name": "Acme Growth Workspace",
"key": "FOIL_PUBLISHABLE_KEY",
"secret": true
}
],
"docs_url": "https://app.acme.co/signup",
"sdks": [
{
"label": "Chrome",
"install": "npm install @foil/server-node",
"url": "https://app.acme.co/signup"
}
],
"branding": {
"logo_url": "https://app.acme.co/signup",
"primary_color": "#111827",
"secondary_color": "#60a5fa",
"ascii_art": "FOIL",
"verified": true
},
"consent": {
"terms_url": "https://app.acme.co/signup",
"privacy_url": "https://app.acme.co/signup"
},
"status": "active",
"discoverable": true
}
Show child attributes
Show child attributes
Example:
{
"request_id": "req_cf147349a4134208aebb8c70e25fb7e1"
}
⌘I